package org.seasar.jsf.template;

import org.seasar.framework.container.S2Container;

/**
 * @author higa
 *
 */
public interface ViewTemplateFactory {

	public ViewTemplate getViewTemplate(String viewId);
	
	public void setContainer(S2Container container);
	
	public String getViewExtension();

	public void setViewExtension(String extension);
	
	public String getEncoding();
	
	public void setEncoding(String encodeing);
	
	public void addNodeHandler(NodeHandler nodeHandler);
}
